package domain;

import java.util.StringTokenizer;

/**
 * La classe Group reprsente un groupe de personnes
 * @see Person
 */
public class Group {
	private Person persons[];
	/**
	 * constructeur d'un groupe de personne
	 * 
	 * @param identities : un tableau d'identits
	 * 
	 * @see Person
	 */
	public Group(String identities[]) {
		persons = new Person[identities.length];
		for(int i = 0; i < identities.length; i++) {
			if (identities[i].contains(":")) {
				StringTokenizer st = new StringTokenizer(identities[i], ":");
				persons[i] = new VIP(st.nextToken(), st.nextToken());
			} else {
				persons[i] = new Person(identities[i]);
			}
		}
	}
	/**
	 * renvoie une personne du groupe
	 * 
	 * @param index : un entier rfrenant un lment du groupe
	 * @return la personne dont la position est donne par index
	 */
	public Person person(int index) {
		return persons[index];
	}
	/**
	 * salue toutes les personnes du groupe
	 */
	public void hello() {
		for(Person p : persons) {
			p.hello();
		}
	}
	public String toString() {
		String s = "Group :\n";
		for(Person p : persons) s += "\t" + p + "\n";
		return s;
	}
}
