package domain;

/**
 * La classe VIP reprsente une <b>personne importante</b> nomme et titre.
 * @see Person
 */
public class VIP extends Person {
	private String title;
	/**
	 * constructeur
	 * 
	 * @param title : une chane de caractres donnant le titre de la personne
	 * @param identity : une chane de caractres donnant l'identit de la personne
	 */
	public VIP(String title, String identity) {
		super(identity);
		this.title = title;
	}
	/**
	 * salue la personne avec son titre
	 */
	public void hello() {
		System.out.println("Hello " + title + " " + identity);
	}
	/**
	 * retourne une description textuelle de la personne
	 * 
	 * @return une chane de caractres dcrivant la personne
	 */
	public String toString() {
		return "VIP : " + title + " " + identity;
	}
}
